package com.atlassian.confluence.extra.tasklist.model;

/**
 * A very simple task model.
 *
 * @see TaskList
 */
public class Task
{
    private String name;
    private String renderedName;
    private String completer;

    public Task(String name, String renderedName)
    {
        this.name = name;
        this.renderedName = renderedName;
    }

    public String getName()
    {
        return name;
    }

    public boolean isCompleted()
    {
        return completer != null;
    }

    public String getCompleter()
    {
        return completer;
    }

    public void setCompleter(String completer)
    {
        this.completer = completer;
    }

    public String getRenderedName()
    {
        return renderedName;
    }
}